Issue 84510

Summary: Crash when clicking "AutoWidth" in "forbidden" case on column tab page
Product: Writer Reporter: redflagzhulihua <ooo.redflag>
Component: codeAssignee: michael.ruess
Status: CLOSED FIXED QA Contact: issues@sw <issues>
Severity: Trivial    
Priority: P2 CC: issues, peter.junge
Version: OOo 2.3.1 RC1Keywords: crash
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 84405    

Description redflagzhulihua 2007-12-13 03:11:29 UTC
1. Create a writer document;
2. Insert->Frame;
3. Select Comlumns tab in the Frame dialog;
4. Click Columns spinbox to set columns >= 2;
5. Change the columns number to 1 with keyboard;   //When we input 1, AutoWith 
Checkbox should set to unvailable.
6. Click AutoWith checkbox -> Crash.
Comment 1 michael.ruess 2007-12-13 14:18:43 UTC
This does not only refer to the frame dialog - all dialogs containing the column
tabpage are affected (Format.Page e.g.).
When changing back the column number to "1" via keyboard, clicking on the
still-active "AutoWidth" check box, Writer will crash.
Comment 2 Oliver Specht 2007-12-14 10:16:45 UTC
Target changed to 2.4
Fixed in cws os109 in 
sw/source/core/layout/atrfrm.cxx
Comment 3 Oliver Specht 2008-01-14 07:32:15 UTC
Reassigned for verification
Comment 4 michael.ruess 2008-01-15 12:01:04 UTC
Verified fix in CWS os109.
Comment 5 michael.ruess 2008-02-12 14:19:34 UTC
Checked fix in OOH680m7 and SRC680m245.